Retrieve a list of build information records describing the vcs information for a given package
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
filterstring
A version to look for.includeWorkItemsbooleanlatestboolean
If true, returns only the latest build information.packageIdstring
An exact package to look for.partialPackageIdstring
A partial package ID used for a sub-string search.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — The requested list of Build Information
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectBranchstringBuildEnvironmentstringBuildNumberstringBuildUrlstringCommitsarray of objectCreatedstring
Formatdate-time.Idstring
Gets or sets a unique identifier for this resource.IncompleteDataWarningstringIssueTrackerNamestringLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.PackageIdstringVcsCommitNumberstringVcsCommitUrlstringVcsRootstringVcsTypestringVersionstringWorkItemsarray of object
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"Branch": "string",
"BuildEnvironment": "string",
"BuildNumber": "string",
"BuildUrl": "string",
"Commits": [
{}
],
"Created": "2020-01-01T00:00:00.000Z",
"Id": "string",
"IncompleteDataWarning": "string",
"IssueTrackerName": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"PackageId": "string",
"VcsCommitNumber": "string",
"VcsCommitUrl": "string",
"VcsRoot": "string",
"VcsType": "string",
"Version": "string",
"WorkItems": [
{}
]
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Create or update a specific build information record describing the vcs information for a given package
POST /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
Request Body
OctopusBuildInformationobject (required)BranchstringBuildEnvironmentstringBuildNumberstringBuildUrlstringCommitsarray of objectVcsCommitNumberstringVcsRootstringVcsTypestring
OverwriteModeenum
Allowed values:FailIfExists,OverwriteExisting,IgnoreIfExists.PackageIdstring (required)
Minimum length 1.ReplacebooleanSpaceIdstring (required)Versionstring (required)
Minimum length 1.
Response
200 — Build information updated.
BranchstringBuildEnvironmentstringBuildNumberstringBuildUrlstringCommitsarray of objectCommentstringIdstringLinkUrlstring
Createdstring
Formatdate-time.Idstring
Gets or sets a unique identifier for this resource.IncompleteDataWarningstringIssueTrackerNamestringLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.PackageIdstringVcsCommitNumberstringVcsCommitUrlstringVcsRootstringVcsTypestringVersionstringWorkItemsarray of objectDescriptionstringIdstringLinkUrlstringSourcestring
Example Request
{
"OctopusBuildInformation": {
"Branch": "string",
"BuildEnvironment": "string",
"BuildNumber": "string",
"BuildUrl": "string",
"Commits": [
{
"Comment": "string",
"Id": "string"
}
],
"VcsCommitNumber": "string",
"VcsRoot": "string",
"VcsType": "string"
},
"OverwriteMode": "FailIfExists",
"PackageId": "string",
"Replace": true,
"SpaceId": "Spaces-1",
"Version": "string"
}Example Response
{
"Branch": "string",
"BuildEnvironment": "string",
"BuildNumber": "string",
"BuildUrl": "string",
"Commits": [
{
"Comment": "string",
"Id": "string",
"LinkUrl": "string"
}
],
"Created": "2020-01-01T00:00:00.000Z",
"Id": "string",
"IncompleteDataWarning": "string",
"IssueTrackerName": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"PackageId": "string",
"VcsCommitNumber": "string",
"VcsCommitUrl": "string",
"VcsRoot": "string",
"VcsType": "string",
"Version": "string",
"WorkItems": [
{
"Description": "string",
"Id": "string",
"LinkUrl": "string",
"Source": "string"
}
]
}Bulk delete specific Build Information records
DELETE /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Request Body
Idsarray of string (required)
IDs of the multiple Build Information to delete.SpaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Success
Example Request
{
"Ids": [
"string"
],
"SpaceId": "Spaces-1"
}Retrieve a specific build information record describing the vcs information for a given package
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The build information id to retrieve.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The requested Build Information
BranchstringBuildEnvironmentstringBuildNumberstringBuildUrlstringCommitsarray of objectCommentstringIdstringLinkUrlstring
Createdstring
Formatdate-time.Idstring
Gets or sets a unique identifier for this resource.IncompleteDataWarningstringIssueTrackerNamestringLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.PackageIdstringVcsCommitNumberstringVcsCommitUrlstringVcsRootstringVcsTypestringVersionstringWorkItemsarray of objectDescriptionstringIdstringLinkUrlstringSourcestring
Example Response
{
"Branch": "string",
"BuildEnvironment": "string",
"BuildNumber": "string",
"BuildUrl": "string",
"Commits": [
{
"Comment": "string",
"Id": "string",
"LinkUrl": "string"
}
],
"Created": "2020-01-01T00:00:00.000Z",
"Id": "string",
"IncompleteDataWarning": "string",
"IssueTrackerName": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"PackageId": "string",
"VcsCommitNumber": "string",
"VcsCommitUrl": "string",
"VcsRoot": "string",
"VcsType": "string",
"Version": "string",
"WorkItems": [
{
"Description": "string",
"Id": "string",
"LinkUrl": "string",
"Source": "string"
}
]
}Delete a specific Build Information record
DELETE /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Build Information to delete.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Success